Subject: Re: bug#25953: [Mesa] Very low Gallium performance compared to Trisquel

From: Marius Bakke <[email-masked]>
Date: Fri, 03 Mar 2017 19:15:21 +0100

Leo Famulari <[email-masked]> writes:

> On Fri, Mar 03, 2017 at 02:04:14AM -0600, Matthew Brooks wrote:
>> This came up in a help-guix thread, and Ricardo Wurmus asked me to
>> post here requesting that Mesa be built with LLVM to improve Gallium's
>> performance.
>> 
>> The original post is here:
>> https://lists.gnu.org/archive/html/help-guix/2017-02/msg00141.html
>> but in short, when running GuixSD on my system, Gnome is unusably
>> slow, and while LXDE is usable, trying to play even 480p videos
>> results in a slideshow rather than a video.
>> On Trisquel though, even though it's also blobless and using Gallium,
>> the performance is vastly better, and even HD videos play fine.
>> 
>> I'm not really familiar with stuff this deep into the system, so if
>> there's any extra info you all need then just let me know and I'll be
>> happy to provide it.
>
> I used to use GuixSD's GNOME on my Thinkpad x200s but, at some point, it
> started to have the problem you describe. I decided to stop using GNOME
> instead of investigating the bug because I had no idea where to start
> looking.
>
> But if I can help change some packages and test the changes, please let
> me know how.

What are your hardware specs?

For testing, you could try building "mesa" with "--enable-gallium-llvm"
and maybe "--enable-llvm-shared-libs".

It could be interesting to see how Trisquel builds mesa.